<?php
/**
 * Plugin Name: RJP-Superscript
 * Plugin URI: http://west-penwith.org.uk/blog/archives/2117
 * Description: Add Superscript and Subscript to the WP editor
 * Version: 2.0
 * Author: Rick Parsons
 * Author URI: http://west-penwith.org.uk/blog/about/
 * License: GPL2
 */

/*  Copyright 2015  Rick Parsons  (email : rick@west-penwith.org.uk)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

defined( 'ABSPATH' ) or die( 'No hacking please!' );

function my_mce_buttons_2($buttons) {	
	/**
	 * Add in core buttons that are disabled by default
	 */
	$buttons[] = 'superscript';
	$buttons[] = 'subscript';

	return $buttons;
}
add_filter('mce_buttons_2', 'my_mce_buttons_2');

function my_quicktags() {
    if (wp_script_is('quicktags')){
?>
    <script type="text/javascript">
    QTags.addButton( 'my_superscript', 'sup', '<sup>', '</sup>', 'x', 'Superscript tag' );
    QTags.addButton( 'my_subscript', 'sub', '<sub>', '</sub>', 'y', 'Subscript tag' );
    </script>
<?php
    }
}
add_action( 'admin_print_footer_scripts', 'my_quicktags' );

?>
